package jdbc;

import java.sql.*;

public class ImportedKeysTest {
    public static void main (String[] args) throws ClassNotFoundException {
    Connection        con = null;
    DatabaseMetaData  dmd;
    ResultSet         rs;

        String url = args[0];
        String username = args[1];
        String password = args[2];
        String driver = args[3];
        String schema = args[4];
        String table = args[5];

    try {
        Class.forName(driver);
        con = DriverManager.getConnection(url, username, password);
        dmd = con.getMetaData();

        System.out.println("Primary keys:");
        rs = dmd.getPrimaryKeys(con.getCatalog(), schema, table);
        while (rs.next()) {
            for (int i = 1; i <= 6; i++)
                System.out.print(rs.getObject(i) + " # ");
            System.out.println();
        }
        rs.close();
        System.out.println("\n");

        System.out.println("Index info:");
        rs = dmd.getIndexInfo(con.getCatalog(), schema, table, false, false);
        while (rs.next()) {
            for (int i = 1; i <= 13; i++)
                System.out.print(rs.getObject(i) + " # ");
            System.out.println();
        }
        rs.close();
        System.out.println("\n");

        System.out.println("Foreign key info:");
        rs = dmd.getImportedKeys(con.getCatalog(), schema, table);
        while (rs.next()) {
            for (int i = 1; i <= 14; i++)
                System.out.print(rs.getObject(i) + " # ");
            System.out.println();
        }
        rs.close();
        System.out.println("\n");

        con.close();
        } catch (SQLException e) {
            try {
                if (con != null)
                    con.close();
            } catch (SQLException exc) {
                exc.printStackTrace();
            }
            e.printStackTrace();
        }
    }
}
